| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ChannelClassSpecList Class Reference
Wrapper classes

The ChannelClassSpecList class represents a list of ChannelClassSpec. More...

`#include <TelepathyQt/ChannelClassSpecList>`

Inherits QList< ChannelClassSpec >.

## Public Member Functions

| ChannelClassSpecList ()
| ChannelClassSpecList (const ChannelClassSpec &spec)
| ChannelClassSpecList (const QList< ChannelClassSpec > &other)
| ChannelClassSpecList (const ChannelClassList &classes)
ChannelClassList | bareClasses () const

## Detailed Description

The ChannelClassSpecList class represents a list of ChannelClassSpec.

## Constructor & Destructor Documentation

Tp::ChannelClassSpecList::ChannelClassSpecList | ( |  | ) |

inline

Tp::ChannelClassSpecList::ChannelClassSpecList | ( | const ChannelClassSpec & | spec | ) |

inline

Tp::ChannelClassSpecList::ChannelClassSpecList | ( | const QList< ChannelClassSpec > & | other | ) |

inline

Tp::ChannelClassSpecList::ChannelClassSpecList | ( | const ChannelClassList & | classes | ) |

inline

## Member Function Documentation

ChannelClassList Tp::ChannelClassSpecList::bareClasses | ( |  | ) | const

inline